{
  inputs,
  config,
  lib,
  authentik-nix,
  ...
}: let
  cfg = config.services.vm_authentik;
in {
  options.services.vm_authentik = {
    enable = lib.mkEnableOption "Enable minimal config";
  };
  config = lib.mkIf cfg.enable {
    networking = {
      firewall.allowedTCPPorts = [9000 9300 9443];
    };
  };
}
